Bug 140854 - Base VIEWING - table data redacted with black coloring for Memo [LONGVARCHAR] fields (macOS)
Summary: Base VIEWING - table data redacted with black coloring for Memo [LONGVARCHAR]...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.1.1.2 release
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-03-07 11:01 UTC by Yannick Chiron
Modified: 2021-10-17 16:39 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Table - data with darkened columns for Memo [LONGVARCHAR] (228.06 KB, image/jpeg)
2021-03-07 11:04 UTC, Yannick Chiron
Details
Table structure (241.35 KB, image/png)
2021-03-07 11:05 UTC, Yannick Chiron
Details
fresh simple database showing the problem (3.54 KB, application/vnd.oasis.opendocument.database)
2021-03-07 15:29 UTC, Yannick Chiron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yannick Chiron 2021-03-07 11:01:29 UTC
Description:
Viewing problem for the table of odb file with embedded data. The fields with Memo [LONGVARCHAR] format appear darkened. The data is still visible by clicking in the cell. The bug does not affect the fields with different formats like Integer or Text for instance. Bug not present in LibreOffice 7.0.4.

Steps to Reproduce:
1.Open ode file with embedded data and at least one field with Memo [LONGVARCHAR] format 
2.Select Tables 
3.Open the table containing the data

Actual Results:
All the fields with Memo [LONGVARCHAR] format appear darkened. The data is still visible by clicking in the cell. The bug does not affect the fields with different formats like Integer or Text for instance.

Expected Results:
Column should not be darkened, data should be visible with no need to click on a cell to see what it contains.


Reproducible: Always


User Profile Reset: No



Additional Info:
See pictures attached: one showing the viewing problem, one detailing the structure of the table.
Comment 1 Yannick Chiron 2021-03-07 11:04:19 UTC
Created attachment 170296 [details]
Table - data with darkened columns for Memo [LONGVARCHAR]
Comment 2 Yannick Chiron 2021-03-07 11:05:40 UTC
Created attachment 170297 [details]
Table structure
Comment 3 Julien Nabet 2021-03-07 12:10:33 UTC
Could you give a try at https://wiki.documentfoundation.org/QA/FirstSteps?

What embedded database do you use? Firebird or Hsqldb?
On which MacOs version are you?

Do you use a specific theme?

Do you reproduce this on a brand new file with just 2 fields an id field for primary key + test memo field?

Would it be possible you attach your file? Of course you must sanitize it (see https://wiki.documentfoundation.org/QA/Bugzilla/Sanitizing_Files_Before_Submission)
Comment 4 Yannick Chiron 2021-03-07 15:29:21 UTC
Created attachment 170311 [details]
fresh simple database showing the problem

As requested, this is a simple database created to show the problem.
It is Hsqldb embedded data.
Comment 5 Yannick Chiron 2021-03-07 15:31:39 UTC
My computer is a 2013 macbook pro (intel), under macOS 10.15.7 Catalina.
Comment 6 Yannick Chiron 2021-03-07 15:40:23 UTC
I deleted my user profile to test if it helps, and I can confirm that it does not help with this issue.

Also, I don't use any specific theme.
Comment 7 Julien Nabet 2021-03-07 15:53:30 UTC
Thank you for your feedback.
I can't reproduce this.
Perhaps MacOs only?
Anyway, since I can't help here=>uncc myself.
Comment 8 Yannick Chiron 2021-03-17 23:46:30 UTC
Bug still present in LibreOffice 7.1.2 RC1.
Bug not present in LibreOffice 7.0.5, so I reverted to it while a fix is found.
Let me know if I can be of further assistance. Thanks for your work.
Comment 9 Yannick Chiron 2021-04-01 13:54:16 UTC
For information, the bug is still present in the LibreOffice 7.1.2 release.
I also checked and can confirm that the bug is present on another Macbookpro (under macOS X 10.11.6).  I don't have a windows laptop to test.
Comment 10 Robert Großkopf 2021-04-02 07:35:28 UTC
Tested this with LO 7.1.2.2 on OpenSUSE 15.2 64bit rpm Linux. Couldn't find any darkened column when opening the table. So might be a special Mac bug.
Comment 11 Alex Thurgood 2021-04-02 10:11:28 UTC
Reproduced with

Version: 7.1.2.2 / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Calc: threaded

sigh...
Comment 12 Alex Thurgood 2021-04-02 10:15:50 UTC
Bug not present in 

Version : 6.4.6.1
Build ID : 985dd72ca280d5c6da2e9f90f7ff9286cafe7ff8
Threads CPU : 8; OS : Mac OS X 10.16; UI Render : par défaut; VCL: osx; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 13 Yannick Chiron 2021-04-20 10:59:19 UTC
Just for information, bug present in LibreOffice 7.1.3 RC1.
Comment 14 Yannick Chiron 2021-04-29 12:47:33 UTC
I tested again LibreOffice 7.1.2.2 but after installing the new JAVA JDK 16.0.1 (I had version 16 before), and can confirm that it does not change the situation. The bug is still present. Just thought that it was good to give it a try.

NB: If you are not familiar with LibreOffice on Mac, for as long as I recall, Mac users have had to install the JDK instead of the JRE, for Base to work as expected.
Comment 15 Yannick Chiron 2021-05-08 00:09:25 UTC
Just for information, bug still present in the released version LibreOffice 7.1.3.2.
Comment 16 Alex Thurgood 2021-05-27 09:17:52 UTC
I would be inclined to mark this as a duplicate of bug 125514
Comment 17 Yannick Chiron 2021-05-27 10:00:03 UTC
Bug 125514 was opened in May 2019 for a text rendering issue which occurred in an older version of LibreOffice (6.3), not affected by the bug of this thread.  Apparently, the text rendering issue was fixed, so maybe bug 125514 should be closed.  

The confusion comes from the fact that May 26, 2021 comment #19 on bug 125514 pointed to what seems the same bug as this thread but it seems that it is not related to the initial reason of opening bug 125514.
Comment 18 Yannick Chiron 2021-06-10 11:17:07 UTC Comment hidden (obsolete)
Comment 19 Yannick Chiron 2021-07-22 21:34:56 UTC
Just for information, bug still present in the released version LibreOffice 7.1.5.2.
Comment 20 frofa 2021-07-25 06:39:34 UTC
The described problem is NOT present using LO version 7.0.6.2 on Mac OS 'Catalina' version 10.15.7 with the example database 'fresh simple database showing the problem' provided above.
Comment 21 Yannick Chiron 2021-08-03 23:01:43 UTC
Thank you frofa.  The bug was discovered with the 7.1.1 version, and does not affect 7.0.x versions.
Comment 22 Yannick Chiron 2021-08-20 03:46:10 UTC
Just for information, bug still present in the released version LibreOffice 7.2.0
Comment 23 Alex Thurgood 2021-08-24 08:35:28 UTC
(In reply to Yannick Chiron from comment #22)
> Just for information, bug still present in the released version LibreOffice
> 7.2.0

Yep, confirming here too with 

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 24 Buovjaga 2021-08-26 07:49:06 UTC
You could try bisecting it with the 7.1 repository:
https://wiki.documentfoundation.org/QA/Bibisect/macOS
Comment 25 psidiumcode 2021-08-30 19:14:00 UTC
(In reply to Buovjaga from comment #24)
> You could try bisecting it with the 7.1 repository:
> https://wiki.documentfoundation.org/QA/Bibisect/macOS

I tried bisecting with the 7.1 repository but it was all good. 
Then I bisected with the 7.2 repository and found the following commit.

73381f7077e114b39dc2c46344d0366c7254de2e is the first bad commit
commit 73381f7077e114b39dc2c46344d0366c7254de2e
Author: libreoffice <libreoffice@libreoffices-Mac-mini.local>
Date:   Fri Mar 26 12:32:18 2021 +0100

    source sha:1a167625314bf36b735176ed488e6ba9b5e9b675
    
    source sha:1a167625314bf36b735176ed488e6ba9b5e9b675

 .../Contents/Frameworks/libvclplug_osxlo.dylib     | Bin 792028 -> 801996 bytes
 .../Contents/Resources/config/images_breeze.zip    | Bin 1888042 -> 1888042 bytes
 .../Resources/config/images_breeze_dark.zip        | Bin 1883715 -> 1883715 bytes
 .../Resources/config/images_breeze_dark_svg.zip    | Bin 1566710 -> 1566710 bytes
 .../Resources/config/images_breeze_svg.zip         | Bin 1564232 -> 1564232 bytes
 .../Contents/Resources/config/images_colibre.zip   | Bin 2757318 -> 2757318 bytes
 .../Resources/config/images_colibre_svg.zip        | Bin 2883054 -> 2883054 bytes
 .../Resources/config/images_elementary.zip         | Bin 4174032 -> 4174032 bytes
 .../Resources/config/images_elementary_svg.zip     | Bin 5454875 -> 5454875 bytes
 .../Resources/config/images_karasa_jaga.zip        | Bin 4879773 -> 4879773 bytes
 .../Resources/config/images_karasa_jaga_svg.zip    | Bin 19303300 -> 19303300 bytes
 .../Contents/Resources/config/images_sifr.zip      | Bin 2104813 -> 2104813 bytes
 .../Contents/Resources/config/images_sifr_dark.zip | Bin 2106689 -> 2106689 bytes
 .../Resources/config/images_sifr_dark_svg.zip      | Bin 1756382 -> 1756382 bytes
 .../Contents/Resources/config/images_sifr_svg.zip  | Bin 1752511 -> 1752511 bytes
 .../Contents/Resources/config/images_sukapura.zip  | Bin 3040207 -> 3040207 bytes
 .../Resources/config/images_sukapura_svg.zip       | Bin 4345422 -> 4345422 bytes
 LibreOffice.app/Contents/Resources/setuprc         |   2 +-
 LibreOffice.app/Contents/Resources/versionrc       |   2 +-
 19 files changed, 2 insertions(+), 2 deletions(-)
Comment 26 psidiumcode 2021-08-30 19:14:39 UTC
bisect log:

# bad: [20651168152192ab9e0f9d12a94228b24125b0d4] source sha:3d311c6d63eafbe2f76d6f1768dc3f675970a55a
# good: [7ae9dc0eb055b3d88573a247cf3f756b06ad5cad] source sha:738bcf5e9a8c443d60c29c3a8068e8c16c72638a
git bisect start 'master' 'oldest'
# bad: [de3791b1403f4e466497581e5a49f06f94701dbb] source sha:9279dce41152ed692c125edfed4c80a7c28c7a0b
git bisect bad de3791b1403f4e466497581e5a49f06f94701dbb
# good: [156360b0cc59e95e1deb3f2b63c8572b055ff9a0] source sha:022f61e6bd876fbcbcefd63708bf4c7ee5063f3a
git bisect good 156360b0cc59e95e1deb3f2b63c8572b055ff9a0
# bad: [c97f1de0178ec9b8e314df9e5c43ceca2e6fbc1e] source sha:86b192965ee8d625092b723337f6a65bdf34dcb7
git bisect bad c97f1de0178ec9b8e314df9e5c43ceca2e6fbc1e
# bad: [d3951b89e6b7f631114b3aa866378788fe7f8877] source sha:167f4edc54bca5f62f098dcff2bff3cce4a51c58
git bisect bad d3951b89e6b7f631114b3aa866378788fe7f8877
# bad: [bf887f5547accfd8513351000cdbd7620a92de2b] source sha:6220d619b42b18cca7280174daed56aad5c82fce
git bisect bad bf887f5547accfd8513351000cdbd7620a92de2b
# bad: [62add0f516fea5072693b8dcf9dc2e91075d5ee1] source sha:3b3591d3c127c306f4d5f6bbb34118b03c3124c0
git bisect bad 62add0f516fea5072693b8dcf9dc2e91075d5ee1
# good: [ced5ab4d71d13cfe543a164bfc5b0bc3805e13f3] source sha:602a044014b55a5a1b1a5f0e96af603590ee899f
git bisect good ced5ab4d71d13cfe543a164bfc5b0bc3805e13f3
# bad: [b00c689af48d3f973d91e7a6c3212cd25e0ebbbf] source sha:b6f574ad86316956cf27efec61af9cbda273e054
git bisect bad b00c689af48d3f973d91e7a6c3212cd25e0ebbbf
# good: [8644b62f52c663eaa03691f3868eb56c53fa4600] source sha:ad55d51486264260a135b36c85973a728e006de7
git bisect good 8644b62f52c663eaa03691f3868eb56c53fa4600
# good: [6553109660ff34893fed1fba2a54d2fdfed1faee] source sha:79e471dc116f0b662e48d915d395d398057d137f
git bisect good 6553109660ff34893fed1fba2a54d2fdfed1faee
# bad: [deab522b3aa90a43f9b3c703894e8a014b08b33f] source sha:058ad4b900b5e0ee902f3e89ed121c2b5f8c58f1
git bisect bad deab522b3aa90a43f9b3c703894e8a014b08b33f
# bad: [73381f7077e114b39dc2c46344d0366c7254de2e] source sha:1a167625314bf36b735176ed488e6ba9b5e9b675
git bisect bad 73381f7077e114b39dc2c46344d0366c7254de2e
# good: [2538fbd480d71ad492642b8b02792cbdeda42a29] source sha:5bd90f7f5852056342f1a81a1285b474d468eadd
git bisect good 2538fbd480d71ad492642b8b02792cbdeda42a29
# first bad commit: [73381f7077e114b39dc2c46344d0366c7254de2e] source sha:1a167625314bf36b735176ed488e6ba9b5e9b675
Comment 27 Alex Thurgood 2021-08-31 10:25:19 UTC
I would add to this that it isn't just the content of MEMO fields as defined in the DB that are displayed as black blocks, but any query that returns a string considered as LONGVARCHAR/MEMO.

For example, using the Firebird LIST() function in a SELECT query returns a query display in which the data is blacked out in the Query result window.
Comment 28 Buovjaga 2021-08-31 10:45:36 UTC
(In reply to psidiumcode from comment #25)
> (In reply to Buovjaga from comment #24)
> > You could try bisecting it with the 7.1 repository:
> > https://wiki.documentfoundation.org/QA/Bibisect/macOS
> 
> I tried bisecting with the 7.1 repository but it was all good. 
> Then I bisected with the 7.2 repository and found the following commit.
> 
> 73381f7077e114b39dc2c46344d0366c7254de2e is the first bad commit
> commit 73381f7077e114b39dc2c46344d0366c7254de2e
> Author: libreoffice <libreoffice@libreoffices-Mac-mini.local>
> Date:   Fri Mar 26 12:32:18 2021 +0100
> 
>     source sha:1a167625314bf36b735176ed488e6ba9b5e9b675
>     
>     source sha:1a167625314bf36b735176ed488e6ba9b5e9b675

I guess https://git.libreoffice.org/core/commit/1a167625314bf36b735176ed488e6ba9b5e9b675
tdf#138122 Add window scaling for retina displays on macOS
...is plausible as it touches rendering stuff.

Adding Cc: to Thorsten Wagner
Comment 29 work 2021-09-07 08:03:34 UTC
Having checked with following configuration:

MacBookPro 13', 2015
LO 7.2.0.4
PostgreSQL 12

This bug occurs when a query/view column is defined as "text".
Using "varchar" instead solve the problem (as a workaround, of course)
Comment 30 Yannick Chiron 2021-09-07 13:18:19 UTC
Thanks for this workaround.  I can also confirm that replacing in the Table structure a field labeled "Memo [LONGVARCHAR]" by "Text [VARCHAR]" makes the text appear normally. But one must be aware that "Memo [LONGVARCHAR]" has an unspecified length of characters ("0" for unlimited) whereas "Text [VARCHAR]" has a 100 characters length by default (can be extended, I just tried 10,000 length).

So overall, it seems that it is a working workaround while waiting for a fully satisfying fix.
Comment 31 Yannick Chiron 2021-09-20 22:57:12 UTC
Just for information, bug still present in the released version LibreOffice 7.2.1, and with the released Java openjdk-17 installed.
Comment 32 Yannick Chiron 2021-10-17 15:20:23 UTC
Bug still present in the released version LibreOffice 7.2.2.